-- Process_AI_Mission_Results.lua
-- Author: sman
-- DateCreated: 01/11/18 4:06:05 AM
--------------------------------------------------------------


-- =================================================================================
--			Process AI Covert Missions
--
--  Add function that drives AI CO missions - hopefully that calls the GetMissionResult / GetInternationalResponses functions directly as well
--  AI can use all missions except #1 (Conduct Recon)
-- 
-- =================================================================================

function PlayerDoTurn_ProcessAI_CovertOperations( iPlayer )									-- Only major AI civs can use covert missions.  Change to let city states launch?
	local pPlayer = Players[iPlayer]														-- Get pPlayer from player ID	
	
	if (pPlayer:IsAlive()) and (not pPlayer:IsHuman()) and (not pPlayer:IsMinorCiv()) and (not pPlayer:IsBarbarian()) then	-- Process AI covert operations only for major AI civs	

	if iPlayer ~= 2 then return end		-- temp trap for force a mission to launch for AI player 2 each turn	
			
	local pPlayer = Players[iPlayer]														-- Get basic player, unit, plot data for processing; pPlayer is the "attacking" player	
	local pUnit = nil																		-- AI doesn't use units to launch Covert Ops
	local iCurrentEra = pPlayer:GetCurrentEra()												-- Get current player's Era level
	
	local pTargetPlayer = Players[0]							-- temp set to human for testing
	local pTargetCity = pTargetPlayer:GetCapitalCity()			-- temp set to human capital for testing
	local iMissionNumber = 2									-- test a specific mission: poison city
		

	-- AI Process Component 1: Schedule an AI CO Mission									-- to launch or not to launch, that is the question...
	-- if not to launch, exit early

	
	-- AI Process Component 2: Warn of an Upcoming AI CO Mission



	-- AI Process Component 3: Process an AI CO Mission

		-- Mission results:		    Notify Type		FadeStr		LongStr		X		Y		Msn		Survive		Incident  -- default values for mission results data table
		local tMissionResultData = { 1,				"",			"",			-1,		-1,		1,		1,			1 }
		GetMissionResult(tMissionResultData, iMissionNumber, pPlayer, pUnit, iCurrentEra, pTargetPlayer, pTargetCity)	-- Get 

		GetInternationalResponses(tMissionResultData, iMissionNumber, pPlayer, pUnit, pTargetPlayer, pTargetCity)
		
		SendNotification(tMissionResultData[1], tMissionResultData[3], tMissionResultData[2], pUnit, tMissionResultData[4], tMissionResultData[5])
		
	end

end
--GameEvents.PlayerDoTurn.Add( PlayerDoTurn_ProcessAI_CovertOperations )
