-- Recon Popup
-- Author: sman
-- DateCreated: 12/27/17 10:15:11 AM
--------------------------------------------------------------

--include ("00_Globals.lua")

include("IconSupport")
include("InstanceManager")

local g_ReconReportManager = InstanceManager:new("ReconReport", "Label", Controls.ReconReportStack)



function ProcessReconPopup (sReportHeader, sReconReport)	
	
	g_ReconReportManager:ResetInstances()

	Controls.ReconReportHeader:LocalizeAndSetText("TXT_KEY_COVERT_OPS_RECON_REPORT_HEADER", sReportHeader)

	local instance = g_ReconReportManager:GetInstance()
	--ContextPtr:BuildInstanceForControl("ReconReport", instance, Controls.ReconReportStack)
	instance.Label:SetText(sReconReport)
		
	Controls.ReconReportStack:CalculateSize()
	Controls.ReconReportStack:ReprocessAnchoring()
	Controls.ReconReportPanel:CalculateInternalSize()
	Controls.ReconReportPanel:SetScrollValue(0)

	ContextPtr:SetHide(false)
end
LuaEvents.ProcessReconReport.Add( ProcessReconPopup )


function OnOK()
	ContextPtr:SetHide(true)
end
Controls.OK:RegisterCallback(Mouse.eLClick, OnOK)

ContextPtr:SetHide(true)
UIManager:DequeuePopup(ContextPtr)

